<?php
/**
 * add menu of vicuna options
 */
function add_vicuna_layout_menu() {
	add_theme_page('Layout', 'Layout', 0, basename(__FILE__), 'vicuna_layout_menu');
}
add_action( 'admin_menu', 'add_vicuna_layout_menu' );

/**
 * CAEg
 */
function vicuna_layout($page) {
	$options = get_option('vicuna_layout');
	$key = $page . '_layout';
	if (!isset($options[$key])) {
		$options['index_layout'] = 'double';
		$options['category_layout'] = 'double';
		$options['archive_layout'] = 'double';
		$options['tag_layout'] = 'double';
		$options['page_layout'] = 'single';
		$options['single_layout'] = 'single';
		$options['search_layout'] = 'single';
		$options['404_layout'] = 'single';
		update_option('vicuna_layout', $options);
	}
	echo $options[$key];
}

/**
 * ݒXV邽߂̊֐
 */
function update_vicuna_layout() {
	$options = get_option('vicuna_layout');
	if (isset($_POST['vicuna_index_layout'])) {
		$options['index_layout'] = $_POST['vicuna_index_layout'];
	}
	if (isset($_POST['vicuna_category_layout'])) {
		$options['category_layout'] = $_POST['vicuna_category_layout'];
	}
	if (isset($_POST['vicuna_archive_layout'])) {
		$options['archive_layout'] = $_POST['vicuna_archive_layout'];
	}
	if (isset($_POST['vicuna_tag_layout'])) {
		$options['tag_layout'] = $_POST['vicuna_tag_layout'];
	}
	if (isset($_POST['vicuna_page_layout'])) {
		$options['page_layout'] = $_POST['vicuna_page_layout'];
	}
	if (isset($_POST['vicuna_single_layout'])) {
		$options['single_layout'] = $_POST['vicuna_single_layout'];
	}
	if (isset($_POST['vicuna_search_layout'])) {
		$options['search_layout'] = $_POST['vicuna_search_layout'];
	}
	if (isset($_POST['vicuna_404_layout'])) {
		$options['404_layout'] = $_POST['vicuna_404_layout'];
	}
	if (isset($_POST['vicuna_3column_type'])) {
		$options['3column_type'] = $_POST['vicuna_3column_type'];
	}
	update_option('vicuna_layout', $options);
}
add_action( 'init', 'update_vicuna_layout');

/**
 * Layout Setting
 */
function vicuna_layout_menu() {
	$options = get_option('vicuna_layout');
	$layout_index = $options['index_layout']; ?>
<div class="wrap">
	<h2>Layout</h2>
	<p>You can select layout of your each pages.</p>
	<form method="post" action="<?php echo $_SERVER['PHP_SELF'] . '?page=' . basename(__FILE__); ?>">
		<p class="submit">
			<input type="submit" value="Save Changes &raquo;" />
		</p>
		<ul>
			<dt>Index Layout</dt>
			<dd><select name="vicuna_index_layout">
				<option value="single"<?php if ($layout_index == "single") : echo ' selected'; endif; ?>>Single column</option>
				<option value="double"<?php if (!$layout_index || $layout_index == "double") : echo ' selected'; endif; ?>>2column</option>
				<option value="multi"<?php if ($layout_index == "multi") : echo ' selected'; endif; ?>>3column</option>
			</select></dd>
<?php	$layout_category = $options['category_layout']; ?>
			<dt>Category Layout</dt>
			<dd><select name="vicuna_category_layout">
				<option value="single"<?php if ($layout_category == "single") : echo ' selected'; endif; ?>>Single column</option>
				<option value="double"<?php if (!$layout_category || $layout_category == "double") : echo ' selected'; endif; ?>>2column</option>
				<option value="multi"<?php if ($layout_category == "multi") : echo ' selected'; endif; ?>>3column</option>
			</select></dd>
<?php	$layout_archive = $options['archive_layout']; ?>
			<dt>Archives Layout</dt>
			<dd><select name="vicuna_archive_layout">
				<option value="single"<?php if ($layout_archive == "single") : echo ' selected'; endif; ?>>Single column</option>
				<option value="double"<?php if (!$layout_archive || $layout_archive == "double") : echo ' selected'; endif; ?>>2column</option>
				<option value="multi"<?php if ($layout_archive == "multi") : echo ' selected'; endif; ?>>3column</option>
			</select></dd>
<?php	$layout_tag = $options['tag_layout']; ?>
			<dt>Tag Layout</dt>
			<dd><select name="vicuna_tag_layout">
				<option value="single"<?php if ($layout_tag == "single") : echo ' selected'; endif; ?>>Single column</option>
				<option value="double"<?php if (!$layout_tag || $layout_tag == "double") : echo ' selected'; endif; ?>>2column</option>
				<option value="multi"<?php if ($layout_tag == "multi") : echo ' selected'; endif; ?>>3column</option>
			</select></dd>
<?php	$layout_single = $options['single_layout']; ?>
			<dt>Single Layout</dt>
			<dd><select name="vicuna_single_layout">
				<option value="single"<?php if (!$layout_single || $layout_single == "single") : echo ' selected'; endif; ?>>Single column</option>
				<option value="double"<?php if ($layout_single == "double") : echo ' selected'; endif; ?>>2column</option>
				<option value="multi"<?php if ($layout_single == "multi") : echo ' selected'; endif; ?>>3column</option>
			</select></dd>
<?php	$layout_page = $options['page_layout']; ?>
			<dt>Page Layout</dt>
			<dd><select name="vicuna_page_layout">
				<option value="single"<?php if (!$layout_page || $layout_page == "single") : echo ' selected'; endif; ?>>Single column</option>
				<option value="double"<?php if ($layout_page == "double") : echo ' selected'; endif; ?>>2column</option>
				<option value="multi"<?php if ($layout_page == "multi") : echo ' selected'; endif; ?>>3column</option>
			</select></dd>
<?php	$layout_search = $options['search_layout']; ?>
			<dt>Search Layout</dt>
			<dd><select name="vicuna_search_layout">
				<option value="single"<?php if (!$layout_search || $layout_search == "single") : echo ' selected'; endif; ?>>Single column</option>
				<option value="double"<?php if ($layout_search == "double") : echo ' selected'; endif; ?>>2column</option>
				<option value="multi"<?php if ($layout_search == "multi") : echo ' selected'; endif; ?>>3column</option>
			</select></dd>
<?php	$layout_404 = $options['404_layout']; ?>
			<dt>404 Layout</dt>
			<dd><select name="vicuna_404_layout">
				<option value="single"<?php if (!$layout_404 || $layout_404 == "single") : echo ' selected'; endif; ?>>Single column</option>
				<option value="double"<?php if ($layout_404 == "double") : echo ' selected'; endif; ?>>2column</option>
				<option value="multi"<?php if ($layout_404 == "multi") : echo ' selected'; endif; ?>>3column</option>
			</select></dd>
			<dt>Multi Layout Type</dt>
			<dd><select name="vicuna_3column_type">
				<option value="0">Type 1</option>
				<option value="1"<?php if ($options['3column_type']) : echo ' selected'; endif; ?>>Type 2</option>
			</select></dd>
		</dl>
		<p class="submit">
			<input type="submit" value="Save Changes &raquo;" />
		</p>
	</form>
</div>
<?php
}
?>
